Package de.willuhn.jameica.hbci.io

# Class XMLKontoauszugImporter

java.lang.Object
de.willuhn.jameica.hbci.io.XMLImporter
de.willuhn.jameica.hbci.io.XMLKontoauszugImporter

All Implemented Interfaces:
  `Importer`, `IO`

public class XMLKontoauszugImporter extends XMLImporter
XML-Importer fuer Kontoauszuege.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.io.XMLImporter

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`XMLKontoauszugImporter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doImport(Object context, IOFormat format, InputStream is, de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask t)`
Importiert Daten aus dem InputStream.
`IOFormat[]`
`getIOFormats(Class objectType)`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.

### Methods inherited from class de.willuhn.jameica.hbci.io.XMLImporter

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLKontoauszugImporter

public XMLKontoauszugImporter()

## Method Details

### doImport

public void doImport(Object context, IOFormat format, InputStream is, de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask t) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `Importer`
Importiert Daten aus dem InputStream.

Specified by:
  `doImport` in interface `Importer`
Overrides:
  `doImport` in class `XMLImporter`
Parameters:
  `context` - Context, der dem Importer hilft, den Zusammenhang zu erkennen, in dem er aufgerufen wurde. Das kann zum Beispiel ein Konto sein.
  `format` - das vom User ausgewaehlte Import-Format.
  `is` - der Stream, aus dem die Daten gelesen werden.
  `monitor` - ein Monitor, an den der Importer Ausgaben ueber seinen Bearbeitungszustand ausgeben kann. Der Importer muss den Import-Stream selbst schliessen!
  `t` - der `BackgroundTask`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getIOFormats

public IOFormat[] getIOFormats(Class objectType)
Description copied from interface: `IO`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.

Specified by:
  `getIOFormats` in interface `IO`
Overrides:
  `getIOFormats` in class `XMLImporter`
Parameters:
  `objectType` - Art der zu exportierenden/importierenden Objekte. Z.Bsb.: Umsatz.class oder SammellastBuchung.class. Abhaengig davon kann der Exporter/Importer eine unterschiedliche Liste von Dateiformaten liefern, die er zu dieser Objektart unterstuetzt.
Returns:
  Liste der Export-Formate.